Package com.sun.mail.util

# Class LogOutputStream

java.lang.Object
java.io.OutputStream
com.sun.mail.util.LogOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class LogOutputStream extends OutputStream
Capture output lines and send them to the mail logger.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Level`
`level`
`protected MailLogger`
`logger`

## Constructor Summary

Constructors
Constructor
Description
`LogOutputStream(MailLogger logger)`
Log to the specified logger.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`log(String msg)`
Log the specified message.
`void`
`write(byte[] b)`
`void`
`write(byte[] b, int off, int len)`
`void`
`write(int b)`

### Methods inherited from class java.io.OutputStream

`close, flush, nullOutputStream`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### logger

protected MailLogger logger

### level

protected Level level

## Constructor Details

### LogOutputStream

public LogOutputStream(MailLogger logger)
Log to the specified logger.

Parameters:
  `logger` - the MailLogger

## Method Details

### write

public void write(int b) throws IOException

Specified by:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### write

public void write(byte[] b, int off, int len) throws IOException

Overrides:
  `write` in class `OutputStream`
Throws:
  `IOException`

### log

protected void log(String msg)
Log the specified message. Can be overridden by subclass to do different logging.

Parameters:
  `msg` - the message to log